Bug 383169 - Use a standard template to guide users unfamiliar with bug tracker style and etiquette
Summary: Use a standard template to guide users unfamiliar with bug tracker style and ...
Status: RESOLVED FIXED
Alias: None
Product: bugs.kde.org
Classification: Websites
Component: templates (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: KDE sysadmins
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2017-08-05 14:01 UTC by Nate Graham
Modified: 2018-09-21 20:45 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2017-08-05 14:01:01 UTC
A lot of novice users file bugs  that tend to be long, rambling, and full of irrelevant information, which makes them hard to parse. We may benefit from using a standard template in the description field that guided users through how to format a reasonable bug report, like this:



SUMMARY
<One sentence summary of the bug>

STEPS TO REPRODUCE
1. <First, I did this>
2. <Then I did that>
3. <And then I did this other thing>


EXPECTED RESULT
<Here's what I wanted to happen>


ACTUAL RESULT
<Here's what actually happened>


REPRODUCIBILITY
<Here are the configurations/software versions/Linux distros/conditions under which it doesn't happen>


ADDITIONAL INFORMATION
<Logs and other information that may be helpful>



Any specific products and components should of course be free to tweak or override it.
Comment 1 Nate Graham 2017-11-27 23:03:46 UTC
The Document Foundation's guided bug entry UI is really excellent: https://bugs.documentfoundation.org/enter_bug.cgi?product=LibreOffice&format=guided

We might consider doing something similar.
Comment 2 Ben Cooksley 2017-11-29 06:39:30 UTC
Please note that at this time we don't really have a Bugzilla maintainer and as such keep the number of customisations to the codebase to a minimum.

If you're interested in looking into the necessary code or configuration changes please contact me.
Comment 3 Andrew Crouthamel 2018-09-21 20:45:34 UTC
Fixed in https://phabricator.kde.org/D15630.